### Method

# Vips Image write

#### Declaration [src]

    int
    vips_image_write (
      VipsImage* image,
      VipsImage* out
    )

#### Description [src]

Write `image` to `out`. Use `vips_image_new()` and friends to create the `VipsImage` you want to write to.

See also

`vips_image_new()`, `vips_copy()`, `vips_image_write_to_file()`.

#### Parameters

`out`

  Type: `VipsImage`

  Write to this image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `int`

0 on success, or -1 on error.